<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" android:id="@+id/main_navigation.xml"
    app:startDestination="@id/workspaceFragment">

    <fragment
        android:id="@+id/formFragment"
        android:name="com.araujobd.playground.form.FormFragment"
        android:label="FormFragment" />
    <fragment
        android:id="@+id/takePhotoFragment"
        android:name="com.araujobd.playground.camera.TakePhotoFragment"
        android:label="TakePhotoFragment" />
    <fragment
        android:id="@+id/dateFragment"
        android:name="com.araujobd.playground.date.DateFragment"
        android:label="DateFragment" />

    <include app:graph="@navigation/nested_navigation" />
    <fragment
        android:id="@+id/workspaceFragment"
        android:name="com.araujobd.playground.workspace.WorkspaceFragment"
        android:label="WorkspaceFragment" >
        <action
            android:id="@+id/action_workspaceFragment_to_nested_navigation"
            app:destination="@id/nested_navigation"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim">

            <argument
                android:name="id"
                app:argType="string" />
        </action>
        <action
            android:id="@+id/action_workspaceFragment_to_formFragment"
            app:destination="@id/formFragment" />
        <action
            android:id="@+id/action_workspaceFragment_to_dateFragment"
            app:destination="@id/dateFragment" />
        <action
            android:id="@+id/action_workspaceFragment_to_takePhotoFragment"
            app:destination="@id/takePhotoFragment" />
        <action
            android:id="@+id/action_custom_form"
            app:destination="@id/customFormFragment" />
        <action
            android:id="@+id/action_register_form"
            app:destination="@id/registerFormFragment" />
        <action
            android:id="@+id/action_workspaceFragment_to_cardsSwipeFragment"
            app:destination="@id/cardsSwipeFragment" />
        <action
            android:id="@+id/action_workspaceFragment_to_locationFragment"
            app:destination="@id/locationFragment" />
        <action
            android:id="@+id/action_workspaceFragment_to_listFragment"
            app:destination="@id/listFragment" />
        <action
            android:id="@+id/action_side_fragment"
            app:destination="@id/sideFragment" />
    </fragment>
    <fragment
        android:id="@+id/customFormFragment"
        android:name="com.araujobd.playground.customform.CustomFormFragment"
        android:label="CustomFormFragment" />
    <fragment
        android:id="@+id/registerFormFragment"
        android:name="com.araujobd.playground.baseform.RegisterFormFragment"
        android:label="RegisterFormFragment" />
    <fragment
        android:id="@+id/cardsSwipeFragment"
        android:name="com.araujobd.playground.cards_swipe.CardsSwipeFragment"
        android:label="CardsSwipeFragment" />
    <fragment
        android:id="@+id/locationFragment"
        android:name="com.araujobd.playground.location.LocationFragment"
        android:label="LocationFragment" >
        <deepLink
            android:id="@+id/deepLink"
            app:uri="playground://location" />
    </fragment>
    <fragment
        android:id="@+id/listFragment"
        android:name="com.araujobd.playground.list.ListFragment"
        android:label="ListFragment" />
    <fragment
        android:id="@+id/sideFragment"
        android:name="com.araujobd.playground.side.SideFragment"
        android:label="SideFragment" />
</navigation>